package com.huashe.park.domain.entity;

import com.huashe.park.common.excel.CsvAlias;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;

/**
 * 施工单元对象 cons_cons_unit_info
 * 
 * @author ruoyi
 * @date 2025-02-14
 */
public class ConsUnitInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    private String byteId;

    /** 强夯类型 */
    @Excel(name = "强夯类型")
    private Integer penningType;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 父节点 */
    @Excel(name = "父节点")
    private Long parentId;

    /** 创建类型 */
    @Excel(name = "创建类型")
    private Integer createType;

    /** 设计文件类型 */
    @Excel(name = "设计文件类型")
    private Integer classifyType;

    /** 施工单元名称 */
    @Excel(name = "施工单元名称")
    private String name;

    @JsonIgnore
    private String ancestors;

    private Long projectId;

    @CsvAlias(alias = "ssdd")
    private String fileId;

    public String getByteId() {
        return byteId;
    }

    public void setByteId(String byteId) {
        this.byteId = byteId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setPenningType(Integer penningType) {
        this.penningType = penningType;
    }

    public Integer getPenningType() {
        return penningType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setClassifyType(Integer classifyType) {
        this.classifyType = classifyType;
    }

    public Integer getClassifyType() {
        return classifyType;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("penningType", getPenningType()).append("type", getType()).append("parentId", getParentId())
            .append("createType", getCreateType()).append("classifyType", getClassifyType()).append("name", getName())
            .append("updateTime", getUpdateTime()).append("createTime", getCreateTime())
            .append("createBy", getCreateBy()).append("updateBy", getUpdateBy()).toString();
    }
}
